petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetUnfactored

Resets a factored matrix to be treated as unfactored.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetUnfactored(Mat mat)

Logically Collective on Mat Many br

### Input Parameter

mat -the factored matrix to be reset Many br

### Notes

This routine should be used only with factored matrices formed by in-place Many brfactorization via ILU(0) (or by in-place LU factorization for the MATSEQDENSE Many brformat). This option can save memory, for example, when solving nonlinear Many brsystems with a matrix-free Newton-Krylov method and a matrix-based, in-place Many brILU(0) preconditioner. Many br

Note that one can specify in-place ILU(0) factorization by calling Many br

         PCType(pc,PCILU);
         PCFactorSeUseInPlace(pc);

Many bror by using the options -pc_type ilu -pc_factor_in_place Many br

In-place factorization ILU(0) can also be used as a local Many brsolver for the blocks within the block Jacobi or additive Schwarz Many brmethods (runtime option: -sub_pc_factor_in_place). See Users-Manual: ch_pc Many brfor details on setting local solver options. Many br

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

PCFactorSetUseInPlace(), PCFactorGetUseInPlace()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages